Subject: bug#33973: Multi-line C++ raw string literal font lock is broken

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 01 Sep 2021 11:15:01 +0200

Alan Mackenzie <[email-masked]> writes:

>> Write a multi-line raw string literal in c++-mode, and font
>> lock doesn't show the correct syntax highlighting. Sample code:
>
>> const char* s1 = R"foo(
>> Hello
>> World
>> )foo";
>
>> const char* s2 = R"(
>> Hello
>> World
>> )";
>
> Yes.  Thank you for reporting this bug.  I'm working on fixing it, and
> hope to commit a patch to master sometime in the next few days.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Testing this in Emacs 28, I get:

Which...  I think is correct?  So I guess this has been fixed in the
years since this was reported, and I'm closing this bug report.  (If
there's still bugs in this area, please respond to the debbugs address
and we'll reopen.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no